#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fpga_image_info_alloc, "_gpl", "");
KSYMTAB_FUNC(fpga_image_info_free, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_load, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(of_fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_put, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_lock, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unlock, "_gpl", "");
KSYMTAB_FUNC(__fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(__fpga_mgr_register, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unregister, "_gpl", "");
KSYMTAB_FUNC(__devm_fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(__devm_fpga_mgr_register, "_gpl", "");

SYMBOL_CRC(fpga_image_info_alloc, 0x76587654, "_gpl");
SYMBOL_CRC(fpga_image_info_free, 0xb00af97c, "_gpl");
SYMBOL_CRC(fpga_mgr_load, 0xce2f712c, "_gpl");
SYMBOL_CRC(fpga_mgr_get, 0x2df3b58c, "_gpl");
SYMBOL_CRC(of_fpga_mgr_get, 0xf0a17467, "_gpl");
SYMBOL_CRC(fpga_mgr_put, 0x83aa494b, "_gpl");
SYMBOL_CRC(fpga_mgr_lock, 0x11ff8368, "_gpl");
SYMBOL_CRC(fpga_mgr_unlock, 0x8e86071b, "_gpl");
SYMBOL_CRC(__fpga_mgr_register_full, 0x1086c672, "_gpl");
SYMBOL_CRC(__fpga_mgr_register, 0xbb9ffc1e, "_gpl");
SYMBOL_CRC(fpga_mgr_unregister, 0x3973861d, "_gpl");
SYMBOL_CRC(__devm_fpga_mgr_register_full, 0x735ec861, "_gpl");
SYMBOL_CRC(__devm_fpga_mgr_register, 0x7a24150d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb198735b, "get_device" },
	{ 0x3fcc56a7, "devm_kmalloc" },
	{ 0xf9d57756, "put_device" },
	{ 0xe6e62a, "devm_kfree" },
	{ 0x13bc06be, "sg_miter_start" },
	{ 0x626e8409, "sg_miter_next" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1af3250f, "sg_miter_stop" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xac666066, "_dev_err" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x37a0cba, "kfree" },
	{ 0x6573f300, "ida_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8e498339, "device_match_of_node" },
	{ 0x6f568367, "class_find_device" },
	{ 0x9245456c, "try_module_get" },
	{ 0xd9fc356f, "module_put" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xf692e609, "_dev_info" },
	{ 0xa4e7583c, "device_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x38cf0e49, "class_register" },
	{ 0x19dd452d, "class_unregister" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x754d539c, "strlen" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x5f18c5b8, "dev_set_name" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1ad002f8, "device_register" },
	{ 0x9e09aeef, "__devres_alloc_node" },
	{ 0x65220a36, "devres_add" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xec8443ae, "sg_miter_skip" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8cdff8e8, "vmalloc_to_page" },
	{ 0x3caab4b6, "sg_alloc_table_from_pages_segment" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x11122c64, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BFF17D5F207ADE6D0FB5855");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
