#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ocelot_mact_learn, "", "");
KSYMTAB_FUNC(ocelot_mact_forget, "", "");
KSYMTAB_FUNC(ocelot_mact_lookup, "", "");
KSYMTAB_FUNC(ocelot_mact_learn_streamdata, "", "");
KSYMTAB_FUNC(ocelot_pll5_init, "", "");
KSYMTAB_FUNC(ocelot_bridge_num_find, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_vlan_filtering, "", "");
KSYMTAB_FUNC(ocelot_vlan_prepare, "", "");
KSYMTAB_FUNC(ocelot_vlan_add, "", "");
KSYMTAB_FUNC(ocelot_vlan_del, "", "");
KSYMTAB_FUNC(ocelot_port_configure_serdes, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_config, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_down, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_up, "_gpl", "");
KSYMTAB_FUNC(ocelot_ptp_rx_timestamp, "", "");
KSYMTAB_FUNC(ocelot_xtr_poll_frame, "", "");
KSYMTAB_FUNC(ocelot_can_inject, "", "");
KSYMTAB_FUNC(ocelot_ifh_port_set, "", "");
KSYMTAB_FUNC(ocelot_port_inject_frame, "", "");
KSYMTAB_FUNC(ocelot_drain_cpu_queue, "", "");
KSYMTAB_FUNC(ocelot_fdb_add, "", "");
KSYMTAB_FUNC(ocelot_fdb_del, "", "");
KSYMTAB_FUNC(ocelot_mact_flush, "_gpl", "");
KSYMTAB_FUNC(ocelot_fdb_dump, "", "");
KSYMTAB_FUNC(ocelot_bond_get_id, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assigned_dsa_8021q_cpu_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_get_bridge_fwd_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_setup_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_teardown_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_unassign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_bridge_stp_state_set, "", "");
KSYMTAB_FUNC(ocelot_set_ageing_time, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_add, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_del, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_join, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_leave, "", "");
KSYMTAB_FUNC(ocelot_migrate_mdbs, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_lag_join, "", "");
KSYMTAB_FUNC(ocelot_port_lag_leave, "", "");
KSYMTAB_FUNC(ocelot_port_lag_change, "", "");
KSYMTAB_FUNC(ocelot_lag_fdb_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_lag_fdb_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_maxlen, "", "");
KSYMTAB_FUNC(ocelot_get_max_mtu, "", "");
KSYMTAB_FUNC(ocelot_port_pre_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_get_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_add_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_del_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mqprio, "_gpl", "");
KSYMTAB_FUNC(ocelot_init_port, "", "");
KSYMTAB_FUNC(ocelot_reset, "", "");
KSYMTAB_FUNC(ocelot_init, "", "");
KSYMTAB_FUNC(ocelot_deinit, "", "");
KSYMTAB_FUNC(ocelot_deinit_port, "", "");
KSYMTAB_FUNC(ocelot_wm_enc, "", "");
KSYMTAB_FUNC(ocelot_wm_dec, "", "");
KSYMTAB_FUNC(ocelot_wm_stat, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_get, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_set, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_snapshot, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_max_clear, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_tc_port_bind_get, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_register, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_unregister, "", "");
KSYMTAB_FUNC(ocelot_cls_flower_replace, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_destroy, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_stats, "_gpl", "");
KSYMTAB_FUNC(__ocelot_bulk_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_write_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_rmw_ix, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_readl, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_writel, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_rmwl, "_gpl", "");
KSYMTAB_FUNC(ocelot_regfields_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_regmap_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_mm_irq, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_policer_validate, "", "");
KSYMTAB_FUNC(ocelot_port_policer_add, "", "");
KSYMTAB_FUNC(ocelot_port_policer_del, "", "");
KSYMTAB_FUNC(ocelot_ptp_gettime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_settime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjtime, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjfine, "", "");
KSYMTAB_FUNC(ocelot_ptp_verify, "", "");
KSYMTAB_FUNC(ocelot_ptp_enable, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_get, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_set, "", "");
KSYMTAB_FUNC(ocelot_get_ts_info, "", "");
KSYMTAB_FUNC(ocelot_port_txtstamp_request, "", "");
KSYMTAB_FUNC(ocelot_get_txtstamp, "", "");
KSYMTAB_FUNC(ocelot_init_timestamp, "", "");
KSYMTAB_FUNC(ocelot_deinit_timestamp, "", "");
KSYMTAB_FUNC(ocelot_get_strings, "", "");
KSYMTAB_FUNC(ocelot_get_sset_count, "", "");
KSYMTAB_FUNC(ocelot_get_ethtool_stats, "", "");
KSYMTAB_FUNC(ocelot_port_get_pause_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_rmon_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_ctrl_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_mac_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_phy_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_stats64, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_block_find_filter_by_id, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_replace, "", "");
KSYMTAB_DATA(vsc7514_regfields, "", "");
KSYMTAB_DATA(vsc7514_regmap, "", "");
KSYMTAB_DATA(vsc7514_vcap_props, "", "");
KSYMTAB_FUNC(ocelot_mrp_add, "", "");
KSYMTAB_FUNC(ocelot_mrp_del, "", "");
KSYMTAB_FUNC(ocelot_mrp_add_ring_role, "", "");
KSYMTAB_FUNC(ocelot_mrp_del_ring_role, "", "");

SYMBOL_CRC(ocelot_mact_learn, 0x2d470edc, "");
SYMBOL_CRC(ocelot_mact_forget, 0x58664f36, "");
SYMBOL_CRC(ocelot_mact_lookup, 0x2fa77903, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0x6c5ce086, "");
SYMBOL_CRC(ocelot_pll5_init, 0xf0f14ca2, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0xacbe7259, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0x8162ce86, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0x68564497, "");
SYMBOL_CRC(ocelot_vlan_add, 0x22900205, "");
SYMBOL_CRC(ocelot_vlan_del, 0x50d0e637, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0x8e07d38a, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0x35161d44, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0xc0655469, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0xf47f9684, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0xcee407b1, "");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0xc15effc4, "");
SYMBOL_CRC(ocelot_can_inject, 0x26de0e9d, "");
SYMBOL_CRC(ocelot_ifh_port_set, 0xd0ebefd9, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0x194465a8, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0xb0088bd0, "");
SYMBOL_CRC(ocelot_fdb_add, 0x8778a973, "");
SYMBOL_CRC(ocelot_fdb_del, 0xcc1d5015, "");
SYMBOL_CRC(ocelot_mact_flush, 0xcf1a840d, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0xd8d2056c, "");
SYMBOL_CRC(ocelot_bond_get_id, 0xf05be15a, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0x62c1a419, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0xaa1a0b0c, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0x19cc7837, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0xdd643541, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0xe330228b, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0x52d1f4e4, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0x4342a7da, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0xeecc721b, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0xb24f6368, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0x8ae4edc2, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0x13091831, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0x671392d4, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0xa3d7bf50, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0x954ccb00, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0x6b9675b4, "");
SYMBOL_CRC(ocelot_port_lag_change, 0xc5a1b58b, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0xd833e046, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0xde70f611, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0xc8af5141, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0x71019636, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0x9006e2f4, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0x3e4bc02d, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0xa113202b, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0xf06a95c2, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0xee983003, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0xbdc76d8d, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0x8e7aff8e, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0x0c4558cd, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0x3f6ccb30, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0xf1a15fc0, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0x672346e8, "");
SYMBOL_CRC(ocelot_reset, 0x55807683, "");
SYMBOL_CRC(ocelot_init, 0x5c323855, "");
SYMBOL_CRC(ocelot_deinit, 0x9c5b6e93, "");
SYMBOL_CRC(ocelot_deinit_port, 0x7635a879, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0x93413a6d, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0x899bc4e6, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0xd03aebed, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0x4bddd042, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0x765fa0e8, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0x794e1362, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0xe9e0b268, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0x847a9a75, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0x4898dc19, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0x40cb2997, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0x570236ec, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0xc44f211f, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0xa2ce07f8, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0x273f40d2, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0x65fc1b84, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0xfccf2d47, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0xeebeaeb7, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0x0b74b4d9, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0xe19466c0, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0xd70ded72, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0x826037b8, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0x6b4d5bdc, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0x8dbf81ab, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0x9a53ac88, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0x0e6d49fd, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0x22dfbe71, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0x78dd2b50, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0x8c716c6f, "");
SYMBOL_CRC(ocelot_port_policer_add, 0x8be96fe4, "");
SYMBOL_CRC(ocelot_port_policer_del, 0x86758a3a, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0xd6d72236, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0x2c6717a2, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0x8fb64d3e, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0xde2c696c, "");
SYMBOL_CRC(ocelot_ptp_verify, 0x92c35e61, "");
SYMBOL_CRC(ocelot_ptp_enable, 0x03975997, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0xed9d6044, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0x906998c1, "");
SYMBOL_CRC(ocelot_get_ts_info, 0x8605890d, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0x2b86686d, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0xabd462df, "");
SYMBOL_CRC(ocelot_init_timestamp, 0xecc3673f, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0x4638be9d, "");
SYMBOL_CRC(ocelot_get_strings, 0xda5be8e6, "");
SYMBOL_CRC(ocelot_get_sset_count, 0xb9a1d79e, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0xb00dc314, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0x43de6efd, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0xd0a7b63b, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0x5c40130b, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0x68a80c60, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0xbf919c0b, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0x94456cfc, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0xa9c3e406, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0x8f87a79e, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0x5fd00200, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0xfec1a2cc, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0xc3426267, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0xa2717b7a, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0xcf7ae936, "");
SYMBOL_CRC(ocelot_mrp_del, 0x45510159, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0x8a46a943, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0x09d0a979, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x78a70bf0, "flow_rule_match_ipv4_addrs" },
	{ 0xd173b01e, "regmap_field_update_bits_base" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x2a69ae76, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x72da7039, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa08b5940, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0x475650a, "skb_queue_purge_reason" },
	{ 0x113b9dfc, "ptp_find_pin" },
	{ 0x57e6c7d9, "eth_type_trans" },
	{ 0x4a44075f, "ethtool_aggregate_pause_stats" },
	{ 0x318969aa, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa9af90d4, "regmap_fields_read" },
	{ 0xb3964adc, "skb_queue_tail" },
	{ 0x2c682d8e, "regmap_field_read" },
	{ 0x87ab02f0, "devm_regmap_field_alloc" },
	{ 0x59e8797c, "ptp_classify_raw" },
	{ 0xe3462726, "flow_rule_match_basic" },
	{ 0x2ba5f6dd, "__dev_get_by_index" },
	{ 0xe6e62a, "devm_kfree" },
	{ 0xac666066, "_dev_err" },
	{ 0x5392213b, "ptp_clock_register" },
	{ 0x525fcbdb, "netif_set_real_num_tx_queues" },
	{ 0x85934162, "kfree_skb_reason" },
	{ 0x6d80a554, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xdc0e1346, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xc017141c, "_dev_warn" },
	{ 0x6a65e85d, "flow_rule_match_ports" },
	{ 0x807b2283, "__devm_regmap_init_mmio_clk" },
	{ 0xea08edeb, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x63182052, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe4aebc54, "ptp_clock_unregister" },
	{ 0xa1617632, "__netdev_alloc_skb" },
	{ 0x19199857, "of_phy_get" },
	{ 0x1f4cf745, "phy_set_mode_ext" },
	{ 0x4ccfcfa3, "netdev_reset_tc" },
	{ 0xca4985d0, "regmap_read" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7908ccc1, "devm_ioremap_resource" },
	{ 0xeeaa5209, "ethtool_aggregate_rmon_stats" },
	{ 0x1005ed77, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa5853564, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0af8668, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xed628a87, "netdev_set_num_tc" },
	{ 0xd3b3ef37, "regmap_update_bits_base" },
	{ 0x3679027, "dev_err_probe" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x38e9c6c6, "dev_kfree_skb_any_reason" },
	{ 0x8d4ab83, "devlink_sb_unregister" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x45b04777, "flow_rule_match_control" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xa676d36f, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfda1893d, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3fcc56a7, "devm_kmalloc" },
	{ 0x3cb6dcd, "skb_put" },
	{ 0xd8adbd80, "skb_tstamp_tx" },
	{ 0x58850677, "of_phy_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf23dbedd, "skb_clone_sk" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x785b6d06, "regmap_fields_update_bits_base" },
	{ 0x7423dbf1, "flow_rule_match_eth_addrs" },
	{ 0x74219cd2, "ptp_clock_index" },
	{ 0x1c05f498, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "709ECF9881BFDAC3C82EC4D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
