#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x703fbc3d, "eth_mac_addr" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd61d6176, "dma_free_attrs" },
	{ 0xa4714c74, "netif_tx_wake_queue" },
	{ 0x36e2b78, "netdev_info" },
	{ 0xa1617632, "__netdev_alloc_skb" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x757041e6, "dma_map_page_attrs" },
	{ 0x38e9c6c6, "dev_kfree_skb_any_reason" },
	{ 0x7bfb492, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x66da008e, "dma_alloc_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x20117ac1, "__skb_pad" },
	{ 0x72da7039, "netdev_err" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x9a834b36, "dev_kfree_skb_irq_reason" },
	{ 0xad25266a, "dma_sync_single_for_cpu" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4ed0b636, "dma_sync_single_for_device" },
	{ 0x3cb6dcd, "skb_put" },
	{ 0x57e6c7d9, "eth_type_trans" },
	{ 0xd1c7674, "netif_rx" },
	{ 0xec31d5f, "netdev_emerg" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x92997ed8, "_printk" },
	{ 0x7a515c5d, "alloc_etherdev_mqs" },
	{ 0xb9e30be, "pci_enable_device" },
	{ 0x2a21ea6b, "pci_request_regions" },
	{ 0x28815829, "dma_set_mask" },
	{ 0x18f86032, "pci_set_master" },
	{ 0xde80cd09, "ioremap" },
	{ 0x99ba0931, "dev_addr_mod" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe8f3d796, "register_netdev" },
	{ 0x19118e4c, "netif_carrier_off" },
	{ 0xcd7f452, "pci_read_config_byte" },
	{ 0x4400991f, "pci_get_device" },
	{ 0x5dc99783, "pci_write_config_byte" },
	{ 0x643ea37b, "pci_dev_put" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd78987fe, "netif_carrier_on" },
	{ 0xb8d8be8, "netdev_warn" },
	{ 0xa41c9dd9, "eth_validate_addr" },
	{ 0x3ead5885, "ethtool_op_get_link" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x570419ba, "__pci_register_driver" },
	{ 0x1c2d0b7b, "mii_ethtool_set_link_ksettings" },
	{ 0x9398e13f, "mii_ethtool_get_link_ksettings" },
	{ 0x21a552b8, "mii_nway_restart" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xcccab5ea, "generic_mii_ioctl" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8d02b6b8, "pci_unregister_driver" },
	{ 0xc8845c38, "dma_unmap_page_attrs" },
	{ 0x341926f4, "consume_skb" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x332ed12d, "unregister_netdev" },
	{ 0xedc03953, "iounmap" },
	{ 0xadf20cc2, "pci_release_regions" },
	{ 0xf3692906, "pci_disable_device" },
	{ 0xbf8dd41f, "free_netdev" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "mii");

MODULE_ALIAS("pci:v00001039d00000190sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001039d00000191sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "532DDE5630B09E58CEF4E60");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
