#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v2, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_be, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_DATA(rtw89_pci_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0x8051e30b, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0xaf4c76e5, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v2, 0x5f20187f, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x9dd019be, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x1f3c4bc7, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x5fe30d5a, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0x25f2cf82, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v2, 0xe113d8e7, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v2, 0x9b021a3f, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_be, 0x33c84a55, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0xfe8ee798, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0xa3cbda6c, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x5c8eb19d, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0xe06de2e5, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x087d02f6, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0xcaa1e617, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v2, 0x2c9ba45e, "");
SYMBOL_CRC(rtw89_pm_ops, 0x2ddb3af1, "");
SYMBOL_CRC(rtw89_pci_gen_ax, 0x7782eb96, "");
SYMBOL_CRC(rtw89_pci_probe, 0xdb4c64c4, "");
SYMBOL_CRC(rtw89_pci_remove, 0x50b891ab, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x462428c8, "pci_iounmap" },
	{ 0xad25266a, "dma_sync_single_for_cpu" },
	{ 0xe3f57b04, "rtw89_debug_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xc017141c, "_dev_warn" },
	{ 0x18f86032, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95c41983, "rtw89_ser_notify" },
	{ 0xa1617632, "__netdev_alloc_skb" },
	{ 0x5527f9e1, "skb_unlink" },
	{ 0x53c5c1d6, "dma_set_coherent_mask" },
	{ 0xe3a46b67, "rtw89_core_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd61d6176, "dma_free_attrs" },
	{ 0x629c21b5, "rtw89_core_rx" },
	{ 0x6c78825c, "param_ops_bool" },
	{ 0xadf20cc2, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1aa5303e, "rtw89_core_deinit" },
	{ 0x5dc99783, "pci_write_config_byte" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xf3692906, "pci_disable_device" },
	{ 0x28815829, "dma_set_mask" },
	{ 0x2d816c3e, "napi_schedule_prep" },
	{ 0xcd7f452, "pci_read_config_byte" },
	{ 0x38e9c6c6, "dev_kfree_skb_any_reason" },
	{ 0x6c9998aa, "rtw89_debug" },
	{ 0xe75aba6, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0x113babf3, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2a62c84c, "rtw89_chip_info_setup" },
	{ 0xe7db1409, "rtw89_mac_get_err_status" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xbaeef771, "pcie_capability_read_word" },
	{ 0xbe1cf9f, "pci_find_ext_capability" },
	{ 0x94357d1d, "rtw89_alloc_ieee80211_hw" },
	{ 0x1bfe432e, "devm_request_threaded_irq" },
	{ 0xb9e30be, "pci_enable_device" },
	{ 0x3cb6dcd, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x341926f4, "consume_skb" },
	{ 0x9ddbc9aa, "pci_iomap" },
	{ 0x15421ce8, "pci_alloc_irq_vectors" },
	{ 0x65b45cb, "complete" },
	{ 0xe3b18039, "skb_dequeue" },
	{ 0xc8845c38, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4ed0b636, "dma_sync_single_for_device" },
	{ 0x2a21ea6b, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd04828b4, "rtw89_core_napi_init" },
	{ 0x8fbd192, "rtw89_core_unregister" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7bfb492, "dev_driver_string" },
	{ 0x4d12fc3d, "ieee80211_tx_status_skb" },
	{ 0x70a27fa7, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x757041e6, "dma_map_page_attrs" },
	{ 0xb5ab2e6b, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x43009c9b, "devm_free_irq" },
	{ 0xb764ac6f, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf692e609, "_dev_info" },
	{ 0xb3964adc, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xac263b5b, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xac666066, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95e9c6ef, "rtw89_core_napi_deinit" },
	{ 0xece444ab, "skb_push" },
	{ 0x66da008e, "dma_alloc_attrs" },
	{ 0xf65522aa, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9f23e9b8, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "85727197DB258025B8F0D08");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
