#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rsi_zone_enabled, "_gpl", "");
KSYMTAB_FUNC(rsi_dbg, "_gpl", "");
KSYMTAB_FUNC(rsi_read_pkt, "_gpl", "");
KSYMTAB_FUNC(rsi_91x_init, "_gpl", "");
KSYMTAB_FUNC(rsi_91x_deinit, "_gpl", "");
KSYMTAB_FUNC(rsi_mac80211_detach, "_gpl", "");
KSYMTAB_FUNC(rsi_config_wowlan, "", "");
KSYMTAB_FUNC(rsi_hal_device_init, "_gpl", "");

SYMBOL_CRC(rsi_zone_enabled, 0x0f5c3ce9, "_gpl");
SYMBOL_CRC(rsi_dbg, 0xcd173710, "_gpl");
SYMBOL_CRC(rsi_read_pkt, 0xb9724d5f, "_gpl");
SYMBOL_CRC(rsi_91x_init, 0xe4009beb, "_gpl");
SYMBOL_CRC(rsi_91x_deinit, 0x5cacc3d2, "_gpl");
SYMBOL_CRC(rsi_mac80211_detach, 0xcd71e48e, "_gpl");
SYMBOL_CRC(rsi_config_wowlan, 0xf70356be, "");
SYMBOL_CRC(rsi_hal_device_init, 0x8d4f1235, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x911a3f5c, "wake_up_process" },
	{ 0x475650a, "skb_queue_purge_reason" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x72e29656, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb2e1f620, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb3964adc, "skb_queue_tail" },
	{ 0xf0bd74bb, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xf60d9b58, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb7c0f443, "sort" },
	{ 0xc58f3f6c, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x24d273d1, "add_timer" },
	{ 0xd5654f91, "ieee80211_remain_on_channel_expired" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xece444ab, "skb_push" },
	{ 0x1d66cbc2, "kthread_stop" },
	{ 0xe8746f0f, "ieee80211_free_txskb" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xc5aa49e9, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x4236d041, "ieee80211_emulate_add_chanctx" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8d4cde53, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x1c6f2cb3, "ieee80211_stop_queue" },
	{ 0xa1617632, "__netdev_alloc_skb" },
	{ 0x58220d41, "ieee80211_ready_on_channel" },
	{ 0xda7845fc, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc133e9c3, "kthread_create_on_node" },
	{ 0x342835dc, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xd3852863, "wiphy_rfkill_start_polling" },
	{ 0x52fdc787, "ieee80211_scan_completed" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf42579dc, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x38b6e48d, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xd5c57235, "ieee80211_cqm_rssi_notify" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x3676ae6c, "ieee80211_emulate_remove_chanctx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x193bd384, "ieee80211_rx_irqsafe" },
	{ 0x86741c99, "ieee80211_queue_stopped" },
	{ 0xf45bb67e, "rsi_bt_ops" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3cb6dcd, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x341926f4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x65b45cb, "complete" },
	{ 0xe3b18039, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x661f1b99, "ieee80211_free_hw" },
	{ 0x34256fde, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x11122c64, "request_firmware" },
	{ 0x5d03c98d, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x805094ec, "kthread_complete_and_exit" },
	{ 0xe0938e48, "ieee80211_register_hw" },
	{ 0xab238f88, "ieee80211_emulate_change_chanctx" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xdb56c8a4, "ieee80211_generic_frame_duration" },
	{ 0x12163bd9, "ieee80211_wake_queue" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "mac80211,rfkill,cfg80211,btrsi");


MODULE_INFO(srcversion, "55656B0665731F16CE9A6DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
