#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_conn_queue_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_queue_recv, "_gpl", "");
KSYMTAB_FUNC(iscsi_update_cmdsn, "_gpl", "");
KSYMTAB_FUNC(iscsi_prep_data_out_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_task, "_gpl", "");
KSYMTAB_FUNC(__iscsi_put_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_complete_scsi_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_send_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_itt_to_task, "_gpl", "");
KSYMTAB_FUNC(__iscsi_complete_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_complete_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_verify_itt, "_gpl", "");
KSYMTAB_FUNC(iscsi_itt_to_ctask, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_failure, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_failure, "_gpl", "");
KSYMTAB_FUNC(iscsi_requeue_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_queuecommand, "_gpl", "");
KSYMTAB_FUNC(iscsi_target_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_queue, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_tx, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_rx, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_cmd_timed_out, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_unbind, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_abort, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_device_reset, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_recovery_timedout, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_session_reset, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_recover_target, "_gpl", "");
KSYMTAB_FUNC(iscsi_pool_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_pool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_get_max_scsi_cmds, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_add, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_remove, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_remove, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_start, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_stop, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_bind, "_gpl", "");
KSYMTAB_FUNC(iscsi_switch_str_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_set_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_get_addr_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_set_param, "_gpl", "");

SYMBOL_CRC(iscsi_conn_queue_xmit, 0x1aedbb43, "_gpl");
SYMBOL_CRC(iscsi_conn_queue_recv, 0xc1e13a89, "_gpl");
SYMBOL_CRC(iscsi_update_cmdsn, 0x38a481bd, "_gpl");
SYMBOL_CRC(iscsi_prep_data_out_pdu, 0x1dc56ba8, "_gpl");
SYMBOL_CRC(iscsi_get_task, 0x2c30ec69, "_gpl");
SYMBOL_CRC(__iscsi_put_task, 0x40fb20fa, "_gpl");
SYMBOL_CRC(iscsi_put_task, 0xd318dc68, "_gpl");
SYMBOL_CRC(iscsi_complete_scsi_task, 0xcc537e38, "_gpl");
SYMBOL_CRC(iscsi_conn_send_pdu, 0xda27db86, "_gpl");
SYMBOL_CRC(iscsi_itt_to_task, 0x5ce57495, "_gpl");
SYMBOL_CRC(__iscsi_complete_pdu, 0x53674684, "_gpl");
SYMBOL_CRC(iscsi_complete_pdu, 0x0274d6d0, "_gpl");
SYMBOL_CRC(iscsi_verify_itt, 0xd51d77c2, "_gpl");
SYMBOL_CRC(iscsi_itt_to_ctask, 0xac47077a, "_gpl");
SYMBOL_CRC(iscsi_session_failure, 0x6472568f, "_gpl");
SYMBOL_CRC(iscsi_conn_failure, 0xc4d760ac, "_gpl");
SYMBOL_CRC(iscsi_requeue_task, 0x9e820399, "_gpl");
SYMBOL_CRC(iscsi_queuecommand, 0xdc57c66a, "_gpl");
SYMBOL_CRC(iscsi_target_alloc, 0xf46bd291, "_gpl");
SYMBOL_CRC(iscsi_suspend_queue, 0x2339704b, "_gpl");
SYMBOL_CRC(iscsi_suspend_tx, 0x5142a14e, "_gpl");
SYMBOL_CRC(iscsi_suspend_rx, 0x75fbe6d5, "_gpl");
SYMBOL_CRC(iscsi_eh_cmd_timed_out, 0x6889de61, "_gpl");
SYMBOL_CRC(iscsi_conn_unbind, 0xafbbf16a, "_gpl");
SYMBOL_CRC(iscsi_eh_abort, 0x46d0639e, "_gpl");
SYMBOL_CRC(iscsi_eh_device_reset, 0x4cfe2338, "_gpl");
SYMBOL_CRC(iscsi_session_recovery_timedout, 0xcaeaf1dc, "_gpl");
SYMBOL_CRC(iscsi_eh_session_reset, 0x6bade62c, "_gpl");
SYMBOL_CRC(iscsi_eh_recover_target, 0x877851a3, "_gpl");
SYMBOL_CRC(iscsi_pool_init, 0x3bef2f73, "_gpl");
SYMBOL_CRC(iscsi_pool_free, 0x8d303b1b, "_gpl");
SYMBOL_CRC(iscsi_host_get_max_scsi_cmds, 0xc9a0391b, "_gpl");
SYMBOL_CRC(iscsi_host_add, 0x1877386e, "_gpl");
SYMBOL_CRC(iscsi_host_alloc, 0x3c75724c, "_gpl");
SYMBOL_CRC(iscsi_host_remove, 0x7b80c025, "_gpl");
SYMBOL_CRC(iscsi_host_free, 0x121aaddc, "_gpl");
SYMBOL_CRC(iscsi_session_setup, 0xe28a86d0, "_gpl");
SYMBOL_CRC(iscsi_session_remove, 0xd2d319a5, "_gpl");
SYMBOL_CRC(iscsi_session_free, 0xff3c0262, "_gpl");
SYMBOL_CRC(iscsi_session_teardown, 0xcda4bfeb, "_gpl");
SYMBOL_CRC(iscsi_conn_setup, 0xb490f064, "_gpl");
SYMBOL_CRC(iscsi_conn_teardown, 0x0c3b411a, "_gpl");
SYMBOL_CRC(iscsi_conn_start, 0x4f8b8f82, "_gpl");
SYMBOL_CRC(iscsi_conn_stop, 0x0dc74ff8, "_gpl");
SYMBOL_CRC(iscsi_conn_bind, 0x1c4ed4ba, "_gpl");
SYMBOL_CRC(iscsi_switch_str_param, 0x12b2ad06, "_gpl");
SYMBOL_CRC(iscsi_set_param, 0xfa048f77, "_gpl");
SYMBOL_CRC(iscsi_session_get_param, 0x4be1c6fb, "_gpl");
SYMBOL_CRC(iscsi_conn_get_addr_param, 0xeab9cbd5, "_gpl");
SYMBOL_CRC(iscsi_conn_get_param, 0x4c347dc7, "_gpl");
SYMBOL_CRC(iscsi_host_get_param, 0x31042aef, "_gpl");
SYMBOL_CRC(iscsi_host_set_param, 0xac66eac9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6c1caaa1, "_dev_printk" },
	{ 0x220d109d, "iscsi_dbg_trace" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x5b92c36, "scsi_done" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x37a0cba, "kfree" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x92997ed8, "_printk" },
	{ 0x67d7606c, "scsi_add_host_with_dma" },
	{ 0x6a2fd8d7, "scsi_host_alloc" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7b057ce, "scsi_host_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x17efe985, "scsi_host_get" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc5d51363, "iscsi_remove_session" },
	{ 0xf7b2edc4, "iscsi_alloc_conn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x124852a4, "iscsi_add_conn" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd7e3f5d5, "iscsi_put_conn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x706db2b3, "iscsi_unblock_session" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb6653d34, "__tracepoint_iscsi_dbg_session" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x52575134, "__SCT__tp_func_iscsi_dbg_session" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2b7f68ff, "iscsi_conn_error_event" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xb392313f, "__tracepoint_iscsi_dbg_eh" },
	{ 0xf7e749fb, "__SCT__tp_func_iscsi_dbg_eh" },
	{ 0xe05a8059, "__tracepoint_iscsi_dbg_conn" },
	{ 0x15dc8bab, "__SCT__tp_func_iscsi_dbg_conn" },
	{ 0x7093dd64, "iscsi_recv_pdu" },
	{ 0xc1c9553a, "iscsi_host_for_each_session" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb7805bf0, "const_pcpu_hot" },
	{ 0x4f2c91c8, "scsi_remove_host" },
	{ 0x12f07900, "iscsi_force_destroy_session" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x6a98dcd3, "flush_signals" },
	{ 0x675276ae, "scsi_build_sense" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0x24d273d1, "add_timer" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x2d3e7be0, "iscsi_free_session" },
	{ 0xd9fc356f, "module_put" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x83991bdd, "iscsi_session_chkready" },
	{ 0xf7370f56, "system_state" },
	{ 0xf73d48ad, "iscsi_alloc_session" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x9245456c, "try_module_get" },
	{ 0x6a62db4e, "iscsi_add_session" },
	{ 0xafdf664c, "iscsi_remove_conn" },
	{ 0xc96cbcd, "iscsi_get_conn" },
	{ 0xb187c1cf, "iscsi_block_session" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0x49394095, "__SCK__tp_func_iscsi_dbg_eh" },
	{ 0x640fc64c, "__SCK__tp_func_iscsi_dbg_session" },
	{ 0x93b06f3b, "__SCK__tp_func_iscsi_dbg_conn" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "D2C8AD88B4623AE89808360");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
