#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x6b1a8888, "_raw_spin_trylock_bh" },
	{ 0x62a90cc2, "pci_restore_state" },
	{ 0xa4714c74, "netif_tx_wake_queue" },
	{ 0xad25266a, "dma_sync_single_for_cpu" },
	{ 0xfb578fc5, "memset" },
	{ 0xc017141c, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa8444bdc, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x18f86032, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x2b92297f, "netif_tx_lock" },
	{ 0xa1617632, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0xf67300b2, "skb_trim" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc5b82c7f, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x53c5c1d6, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfe02e3f6, "rps_may_expire_flow" },
	{ 0xd61d6176, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6c78825c, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x368dfd11, "alloc_pages" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd7ffb375, "pci_dev_get" },
	{ 0x81bb5ddd, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x19118e4c, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xd78987fe, "netif_carrier_on" },
	{ 0xf659704c, "dql_reset" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x66eec6b3, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xcee6886f, "i2c_smbus_write_byte_data" },
	{ 0xf3692906, "pci_disable_device" },
	{ 0x28815829, "dma_set_mask" },
	{ 0xfb6ffc53, "__skb_flow_dissect" },
	{ 0xfcb51215, "pci_vpd_alloc" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x62eb612a, "mdio45_ethtool_ksettings_get_npage" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x2d816c3e, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x791ea50d, "napi_disable" },
	{ 0x38e9c6c6, "dev_kfree_skb_any_reason" },
	{ 0xb79a54ee, "mdio45_nway_restart" },
	{ 0xd3ad8852, "netif_set_tso_max_segs" },
	{ 0x82469e3e, "i2c_smbus_read_byte_data" },
	{ 0x349cba85, "strchr" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x21fed8a8, "pci_release_region" },
	{ 0xbb53856b, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x36e2b78, "netdev_info" },
	{ 0x710043a5, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3b83610f, "cpu_sibling_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x835c5372, "register_netdevice" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x7a515c5d, "alloc_etherdev_mqs" },
	{ 0xf10a37df, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1a1cd49d, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x968cc3a, "pci_request_region" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x196f5369, "skb_copy_bits" },
	{ 0x180a647c, "param_ops_uint" },
	{ 0xb9e30be, "pci_enable_device" },
	{ 0x3cb6dcd, "skb_put" },
	{ 0xda170ece, "mtd_device_unregister" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x341926f4, "consume_skb" },
	{ 0x5d300a8d, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe48ab5e4, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6feafe71, "i2c_bit_add_bus" },
	{ 0x643ea37b, "pci_dev_put" },
	{ 0x332ed12d, "unregister_netdev" },
	{ 0x47b47a0d, "napi_get_frags" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x4400991f, "pci_get_device" },
	{ 0xc8845c38, "dma_unmap_page_attrs" },
	{ 0x570419ba, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x5b7e660, "pci_disable_msi" },
	{ 0x25b86c2a, "dev_alloc_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0x8df0b58c, "__put_devmap_managed_page_refs" },
	{ 0xa41c9dd9, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb8d8be8, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x70eef290, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xf09e6bb4, "__netif_napi_del" },
	{ 0x8b0f1b1e, "unregister_netdevice_queue" },
	{ 0x7a6a8ef0, "mtd_device_parse_register" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe8441794, "netif_tx_unlock" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x8d02b6b8, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbc7d8a8, "netdev_features_change" },
	{ 0x72da7039, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb4dac70, "i2c_new_dummy_device" },
	{ 0x7bfb492, "dev_driver_string" },
	{ 0x99ba0931, "dev_addr_mod" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x57e6c7d9, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x757041e6, "dma_map_page_attrs" },
	{ 0xb5ab2e6b, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0xb764ac6f, "__napi_schedule" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0x8ede07a1, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xd95c5222, "__alloc_skb" },
	{ 0x1d0ecbc7, "netif_device_detach" },
	{ 0xb7805bf0, "const_pcpu_hot" },
	{ 0x274c1427, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xf692e609, "_dev_info" },
	{ 0x53bcc1bb, "netif_device_attach" },
	{ 0x63e0fee5, "mdio45_links_ok" },
	{ 0x88abceda, "i2c_del_adapter" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4d8f840e, "iommu_get_domain_for_dev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd6b3f5e4, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x1f7cc474, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x7be88733, "pci_clear_master" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x41a33353, "pci_enable_msi" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0x1904adb0, "i2c_unregister_device" },
	{ 0xc4081b2f, "softnet_data" },
	{ 0xc58f3f6c, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x525fcbdb, "netif_set_real_num_tx_queues" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6faeb190, "netif_set_real_num_rx_queues" },
	{ 0x85934162, "kfree_skb_reason" },
	{ 0x233d18d3, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x66da008e, "dma_alloc_attrs" },
	{ 0xf2610a7d, "napi_enable" },
	{ 0xafd35f62, "netif_receive_skb" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0xbf8dd41f, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf4238194, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3ead5885, "ethtool_op_get_link" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xc1c997f3, "i2c_new_client_device" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "mdio,mtd,i2c-algo-bit");

MODULE_ALIAS("pci:v00001924d00000703sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001924d00000710sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "3CE6D6DCF45658403ACD4BA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
