#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0x3142f984, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x01205bfe, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x7ab0a11e, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x1394eee0, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0x00e01a49, "_gpl");
SYMBOL_CRC(mt76x0_config, 0xc7295cb1, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0x1a681494, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda93ecf0, "mt76x02_mac_shared_key_setup" },
	{ 0x88aee32f, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8d347d2e, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf692e609, "_dev_info" },
	{ 0x2b9f6e4b, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x323a3785, "ieee80211_queue_delayed_work" },
	{ 0x8a6489d9, "mt76_eeprom_init" },
	{ 0xac666066, "_dev_err" },
	{ 0x8d218b7b, "mt76x02_mac_setaddr" },
	{ 0x598c3252, "mt76_register_device" },
	{ 0x136ded7c, "mt76x02_phy_set_bw" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xb28a657d, "mt76x02_phy_set_band" },
	{ 0x6327dfd7, "mt76_set_channel" },
	{ 0x6bb52fb4, "mt76x02_init_device" },
	{ 0x24f49719, "ieee80211_wake_queues" },
	{ 0x9f78324c, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xa69ccd83, "mt76x02_phy_set_rxpath" },
	{ 0xd8cbbae9, "mt76x02_edcca_init" },
	{ 0xa01e05df, "mt76_eeprom_override" },
	{ 0x4ba045bc, "mt76x02_get_lna_gain" },
	{ 0x73c6c16e, "mt76x02_init_debugfs" },
	{ 0xc017141c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xda7845fc, "ieee80211_stop_queues" },
	{ 0xddd1acd8, "mt76x02_mac_cc_reset" },
	{ 0xb1cc4a63, "mt76x02_init_agc_gain" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xda422778, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xde13c56e, "____mt76_poll_msec" },
	{ 0xcb69c082, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7a0ed84, "mt76x02_config_mac_addr_list" },
	{ 0xde08b0b, "mt76_get_sar_power" },
	{ 0xafbac00a, "mt76x02_eeprom_copy" },
	{ 0xfa325f90, "mt76x02_mcu_calibrate" },
	{ 0x1c0b4926, "mt76x02_mcu_function_select" },
	{ 0xd38b6ec, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x6a326270, "mt76x02_mac_wcid_setup" },
	{ 0x3de9310f, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xf3f01f06, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x4595a9ff, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x57a02ae0, "mt76_init_sar_power" },
	{ 0xa17241b0, "mt76x02_phy_adjust_vga_gain" },
	{ 0xe93bbe29, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x2a69ae76, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "CE2DD35AF09A8753CBEF0D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
