#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x21ed1c1d, "mt7925_mac_init" },
	{ 0x4d6adb54, "mt792xu_rmw" },
	{ 0x2d3df487, "mt7925_mac_sta_assoc" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x2d5fc45d, "mt76u_resume_rx" },
	{ 0x31ed2b6f, "kthread_park" },
	{ 0x2a69ae76, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9b0e72b2, "mt76_alloc_device" },
	{ 0x911a3f5c, "wake_up_process" },
	{ 0x475650a, "skb_queue_purge_reason" },
	{ 0x5eb3e968, "mt792xu_mcu_power_on" },
	{ 0xca218fc5, "mt7925_mac_sta_remove" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcb35463f, "mt7925_ops" },
	{ 0x79ce0a97, "__mt7925_start" },
	{ 0xdc38a6b0, "usb_put_dev" },
	{ 0xf35d1172, "usb_bulk_msg" },
	{ 0x11e441ce, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb9b8e6fe, "usb_get_dev" },
	{ 0x56e3f551, "mt76u_alloc_mcu_queue" },
	{ 0x7fa97381, "mt76_free_device" },
	{ 0x6b083ee7, "kthread_unpark" },
	{ 0xca2d95cf, "mt76u_queues_deinit" },
	{ 0xece444ab, "skb_push" },
	{ 0x377183a3, "mt792xu_wfsys_reset" },
	{ 0x51f629f9, "mt7925_run_firmware" },
	{ 0xb2e76074, "mt792xu_disconnect" },
	{ 0xd16ef3f1, "mt7925_mac_sta_add" },
	{ 0x928db286, "mt792xu_wr" },
	{ 0xaa967ebb, "usb_deregister" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7837a363, "mt7925_mcu_set_eeprom" },
	{ 0xf526800, "mt76u_read_copy" },
	{ 0x49ff2cf, "mt7925_usb_sdio_tx_prepare_skb" },
	{ 0x618c3f6d, "mt7925_register_device" },
	{ 0xda422778, "mt76_txq_schedule_all" },
	{ 0xf38c98a1, "mt76u_alloc_queues" },
	{ 0xa94cb6c8, "mt7925_usb_sdio_tx_status_data" },
	{ 0x856a8da7, "mt76u_stop_tx" },
	{ 0x201b80, "mt792xu_init_reset" },
	{ 0xe8a9ff50, "mt792xu_dma_init" },
	{ 0x401d0733, "mt792x_update_channel" },
	{ 0x9b5e7017, "mt792x_get_mac80211_ops" },
	{ 0xe054f77b, "mt7925_mcu_parse_response" },
	{ 0xdcfcd07f, "mt7925_mcu_fill_message" },
	{ 0xdcb2fe6a, "mt76u_stop_rx" },
	{ 0x9ecc854e, "mt76_connac_mcu_set_hif_suspend" },
	{ 0x48218d45, "mt792x_reset" },
	{ 0x90b29896, "mt792xu_rr" },
	{ 0xf9a482f9, "msleep" },
	{ 0x72e5cfbe, "mt7925_rx_check" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7702f354, "mt7925_queue_rx_skb" },
	{ 0xe75607b8, "__mt76u_init" },
	{ 0x341926f4, "consume_skb" },
	{ 0x18f5cdbf, "mt792xu_copy" },
	{ 0xd6534632, "mt792xu_stop" },
	{ 0x2bd2908e, "usb_register_driver" },
	{ 0xc5ede831, "mt7925_usb_sdio_tx_complete_skb" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "mt7925-common,mt792x-usb,mt76-usb,mt76,usbcore,mt792x-lib,mt76-connac-lib");

MODULE_ALIAS("usb:v0E8Dp7925d*dc*dsc*dp*icFFiscFFipFFin*");

MODULE_INFO(srcversion, "76A8B210C763003C784DBC7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
