#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8e5ba702, "wlcore_free_hw" },
	{ 0xb8ef1874, "wlcore_event_soft_gemini_sense" },
	{ 0x77dda05d, "wlcore_scan_sched_scan_results" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x38a4dfa8, "wlcore_event_max_tx_failure" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x78f623ce, "wlcore_remove" },
	{ 0x9d4807e8, "wlcore_disable_interrupts" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7392a643, "wlcore_event_channel_switch" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x323a3785, "ieee80211_queue_delayed_work" },
	{ 0xd6a8e552, "simple_open" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x29435109, "wl1271_cmd_test" },
	{ 0xe53d82a9, "wlcore_enable_interrupts" },
	{ 0xf967be65, "wlcore_set_partition" },
	{ 0x997c6bed, "wl1271_acx_sleep_auth" },
	{ 0x5e6b3bd3, "wlcore_boot_upload_firmware" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x776cdc1a, "wlcore_event_sched_scan_completed" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x70c0a3ed, "wl12xx_acx_mem_cfg" },
	{ 0x1fb7c35a, "wl1271_cmd_data_path" },
	{ 0xbe7d01b0, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5f3ff203, "wl1271_cmd_configure" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba4232b9, "__platform_driver_register" },
	{ 0x32010709, "wl1271_acx_set_ht_capabilities" },
	{ 0xb6d81a7d, "debugfs_create_file" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x7d7c129b, "wlcore_alloc_hw" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9eadbbab, "wlcore_probe" },
	{ 0x66ed4d90, "wlcore_cmd_wait_for_event_or_timeout" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbec3ba6b, "wlcore_event_rssi_trigger" },
	{ 0x59e891a7, "wlcore_calc_packet_alignment" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcad457e6, "wl1271_acx_pm_config" },
	{ 0x3c0e586d, "wlcore_event_ba_rx_constraint" },
	{ 0xcfdce26f, "wlcore_event_inactive_sta" },
	{ 0x6e7cd0a1, "wlcore_event_dummy_packet" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xdd140365, "wlcore_event_beacon_loss" },
	{ 0x8708c351, "debugfs_create_dir" },
	{ 0x30db8d46, "generic_file_llseek" },
	{ 0xaf33ff44, "wl1271_acx_init_mem_config" },
	{ 0x330ee0, "wlcore_set_key" },
	{ 0x6d3b27e, "wl12xx_debug_level" },
	{ 0xbbf0fa5a, "wlcore_boot_upload_nvs" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x434a282f, "wl12xx_cmd_build_probe_req" },
	{ 0x64ebc481, "wl1271_tx_min_rate_get" },
	{ 0xf275dbd2, "wl1271_cmd_send" },
	{ 0xdaa2edc9, "platform_driver_unregister" },
	{ 0x3c6e1eca, "wlcore_event_roc_complete" },
	{ 0x3926dade, "wlcore_scan_sched_scan_ssid_list" },
	{ 0xd35e9bb9, "wlcore_translate_addr" },
	{ 0xdc0056d0, "wlcore_boot_run_firmware" },
	{ 0x3ed01250, "wlcore_set_scan_chan_params" },
	{ 0x87c1f87d, "wl1271_debugfs_update_stats" },
	{ 0x69acdf38, "memcpy" },
	{ 0x85498cd1, "wl1271_format_buffer" },
	{ 0x3ea88353, "wlcore_tx_complete" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "wlcore,mac80211");

MODULE_ALIAS("platform:wl12xx");

MODULE_INFO(srcversion, "364EB5A6328106185E686BE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
