#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(alloc_rtllib, "", "");
KSYMTAB_FUNC(free_rtllib, "", "");
KSYMTAB_FUNC(rtllib_rx, "", "");
KSYMTAB_FUNC(rtllib_legal_channel, "", "");
KSYMTAB_FUNC(rtllib_xmit, "", "");
KSYMTAB_FUNC(rtllib_wx_get_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode_ext, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mlme, "", "");
KSYMTAB_FUNC(rtllib_wx_set_auth, "", "");
KSYMTAB_FUNC(rtllib_wx_set_gen_ie, "", "");
KSYMTAB_FUNC(rtllib_stop_scan, "", "");
KSYMTAB_FUNC(rtllib_stop_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_act_scanning, "", "");
KSYMTAB_FUNC(rtllib_start_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_sta_ps_send_null_frame, "", "");
KSYMTAB_FUNC(rtllib_ps_tx_ack, "", "");
KSYMTAB_FUNC(rtllib_reset_queue, "", "");
KSYMTAB_FUNC(rtllib_softmac_stop_protocol, "", "");
KSYMTAB_FUNC(rtllib_softmac_start_protocol, "", "");
KSYMTAB_FUNC(rtllib_mgnt_disconnect, "", "");
KSYMTAB_FUNC(notify_wx_assoc_event, "", "");
KSYMTAB_FUNC(rtllib_wx_set_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_set_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_get_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_get_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_name, "", "");
KSYMTAB_FUNC(rtllib_wx_set_power, "", "");
KSYMTAB_FUNC(rtllib_wx_get_power, "", "");
KSYMTAB_FUNC(HT_update_self_and_peer_setting, "", "");
KSYMTAB_FUNC(remove_peer_ts, "", "");

SYMBOL_CRC(alloc_rtllib, 0xcea1846c, "");
SYMBOL_CRC(free_rtllib, 0x8c8db79b, "");
SYMBOL_CRC(rtllib_rx, 0xa70560be, "");
SYMBOL_CRC(rtllib_legal_channel, 0xe6f7cdfc, "");
SYMBOL_CRC(rtllib_xmit, 0x92415845, "");
SYMBOL_CRC(rtllib_wx_get_scan, 0x8b8e79f3, "");
SYMBOL_CRC(rtllib_wx_set_encode, 0x05d7767e, "");
SYMBOL_CRC(rtllib_wx_get_encode, 0x7c068426, "");
SYMBOL_CRC(rtllib_wx_set_encode_ext, 0xf4f624a8, "");
SYMBOL_CRC(rtllib_wx_set_mlme, 0x496832ad, "");
SYMBOL_CRC(rtllib_wx_set_auth, 0x02c62727, "");
SYMBOL_CRC(rtllib_wx_set_gen_ie, 0x6fafffe4, "");
SYMBOL_CRC(rtllib_stop_scan, 0xd5e4c361, "");
SYMBOL_CRC(rtllib_stop_scan_syncro, 0xbb2fc4c8, "");
SYMBOL_CRC(rtllib_act_scanning, 0x9bcbaeca, "");
SYMBOL_CRC(rtllib_start_scan_syncro, 0x4672adbd, "");
SYMBOL_CRC(rtllib_sta_ps_send_null_frame, 0xa8a30abe, "");
SYMBOL_CRC(rtllib_ps_tx_ack, 0x886fbf71, "");
SYMBOL_CRC(rtllib_reset_queue, 0x597f4f37, "");
SYMBOL_CRC(rtllib_softmac_stop_protocol, 0x5f107d8c, "");
SYMBOL_CRC(rtllib_softmac_start_protocol, 0x043a3baa, "");
SYMBOL_CRC(rtllib_mgnt_disconnect, 0x4318d9a5, "");
SYMBOL_CRC(notify_wx_assoc_event, 0xbdaa45e7, "");
SYMBOL_CRC(rtllib_wx_set_freq, 0xafdace7d, "");
SYMBOL_CRC(rtllib_wx_get_freq, 0x884cf9f7, "");
SYMBOL_CRC(rtllib_wx_get_wap, 0xf1a3eb1c, "");
SYMBOL_CRC(rtllib_wx_set_wap, 0x65d5cb6d, "");
SYMBOL_CRC(rtllib_wx_get_essid, 0x89ec25b5, "");
SYMBOL_CRC(rtllib_wx_set_rate, 0x700ea797, "");
SYMBOL_CRC(rtllib_wx_get_rate, 0x5798901d, "");
SYMBOL_CRC(rtllib_wx_set_rts, 0xf24e8d96, "");
SYMBOL_CRC(rtllib_wx_get_rts, 0x6638ade7, "");
SYMBOL_CRC(rtllib_wx_set_mode, 0x347f8f1d, "");
SYMBOL_CRC(rtllib_wx_set_scan, 0xac184e79, "");
SYMBOL_CRC(rtllib_wx_set_essid, 0x84a6d9bc, "");
SYMBOL_CRC(rtllib_wx_get_mode, 0x13e9b897, "");
SYMBOL_CRC(rtllib_wx_get_name, 0x761ae75c, "");
SYMBOL_CRC(rtllib_wx_set_power, 0xe42b437f, "");
SYMBOL_CRC(rtllib_wx_get_power, 0xe961bf76, "");
SYMBOL_CRC(HT_update_self_and_peer_setting, 0xe32d2a34, "");
SYMBOL_CRC(remove_peer_ts, 0x21fa527c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8d8be8, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x72da7039, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57e6c7d9, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe3ad90a8, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb3964adc, "skb_queue_tail" },
	{ 0x3dddef50, "lib80211_get_crypto_ops" },
	{ 0xc58f3f6c, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x85934162, "kfree_skb_reason" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xece444ab, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0x69427af1, "wireless_send_event" },
	{ 0x9166fada, "strncpy" },
	{ 0xbf8dd41f, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xa8b508bd, "netif_tx_stop_all_queues" },
	{ 0xa4714c74, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd1c7674, "netif_rx" },
	{ 0xa1617632, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc5b82c7f, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe0e03ef2, "netdev_alert" },
	{ 0x64f6caa4, "lib80211_crypt_info_free" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x19118e4c, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x63a25f40, "lib80211_crypt_delayed_deinit" },
	{ 0xd78987fe, "netif_carrier_on" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x38e9c6c6, "dev_kfree_skb_any_reason" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x36e2b78, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7a515c5d, "alloc_etherdev_mqs" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9245456c, "try_module_get" },
	{ 0x3cb6dcd, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x341926f4, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96848186, "scnprintf" },
	{ 0x72a7050c, "dev_trans_start" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "lib80211,cfg80211");


MODULE_INFO(srcversion, "CF5197B09891A247E6C1DBA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
