#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x673a89c6, "_gpl");
SYMBOL_CRC(dccp_req_err, 0xb553deb4, "");
SYMBOL_CRC(dccp_v4_send_check, 0x8959c16a, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0xd7a61214, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x71f22f22, "");
SYMBOL_CRC(dccp_v4_conn_request, 0x5ad37817, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x3b150da0, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0xacb16623, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd07b94b7, "dccp_rcv_state_process" },
	{ 0x91866726, "dccp_reqsk_send_ack" },
	{ 0xda7a9f20, "inet_lookup_reuseport" },
	{ 0xf601edc8, "__inet_lookup_listener" },
	{ 0x3b28b4b, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0x18439db1, "sock_common_getsockopt" },
	{ 0x80a757d9, "inet_bind" },
	{ 0xb61df57e, "__inet_inherit_port" },
	{ 0xcee3c54d, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0xb16485d6, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0x35312908, "__xfrm_policy_check" },
	{ 0xa096694d, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf9b6bf1f, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x68945bc0, "inet_csk_reqsk_queue_hash_add" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe9090648, "sk_error_report" },
	{ 0xc11b177a, "register_pernet_subsys" },
	{ 0xdb27adaf, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x3f9d72c0, "inet_getname" },
	{ 0xccdbfc0f, "inet_stream_connect" },
	{ 0xf262f58a, "proto_unregister" },
	{ 0xd8c1e163, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x48a8ee8f, "inet_ehashfn" },
	{ 0x577d0058, "inet_twsk_purge" },
	{ 0xcbfa2355, "dccp_done" },
	{ 0x345badd, "inet_release" },
	{ 0x1fa79b0e, "__sk_dst_check" },
	{ 0xf9162bd7, "dccp_disconnect" },
	{ 0x48fe081c, "ip_route_output_key_hash" },
	{ 0x5609f564, "proto_register" },
	{ 0x57542877, "inet_hash" },
	{ 0xadfb0b5, "__sk_receive_skb" },
	{ 0xc3112630, "dccp_poll" },
	{ 0x64a4b3db, "inet_ctl_sock_create" },
	{ 0x5d03b2f7, "dccp_death_row" },
	{ 0x5d9811f4, "inet_csk_get_port" },
	{ 0xd16c9376, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x43fcf80e, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x47a0f8b3, "inet_accept" },
	{ 0x65e17893, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x249a5ef9, "ip6_mtu" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xbba1e599, "inet_add_protocol" },
	{ 0x9cc10203, "inet_shutdown" },
	{ 0xf38e323, "sk_free" },
	{ 0xe2edd69b, "dccp_close" },
	{ 0x85934162, "kfree_skb_reason" },
	{ 0xbaa25c85, "dccp_reqsk_init" },
	{ 0x452bf8, "inet_hash_connect" },
	{ 0x44d659d3, "kmem_cache_free" },
	{ 0x7ab8fb7a, "inet_csk_route_child_sock" },
	{ 0xe0f3c556, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7fdeed2c, "security_sk_classify_flow" },
	{ 0x1c39f64c, "inet_csk_update_pmtu" },
	{ 0x6051a0ae, "dccp_getsockopt" },
	{ 0xc74a0f94, "dccp_parse_options" },
	{ 0x4b60bc43, "unregister_pernet_subsys" },
	{ 0xfbee780e, "skb_checksum" },
	{ 0xe7d1eb56, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3cc0c23, "sock_no_mmap" },
	{ 0x404cd8b2, "__pskb_pull_tail" },
	{ 0x7fc8af4b, "dccp_child_process" },
	{ 0x8313eb63, "sock_common_recvmsg" },
	{ 0xf4bc9fef, "dccp_setsockopt" },
	{ 0xe91ea62b, "dccp_ioctl" },
	{ 0xad2709ce, "inet_sk_rebuild_header" },
	{ 0xcdc16224, "inet_del_protocol" },
	{ 0x589fce66, "ipv4_mtu" },
	{ 0xf4e05546, "dccp_recvmsg" },
	{ 0xbb1d0dc2, "inet_sendmsg" },
	{ 0x3c45fce0, "dccp_check_req" },
	{ 0x3a29737f, "dccp_create_openreq_child" },
	{ 0xf24587fc, "inet_csk_prepare_forced_close" },
	{ 0x56876eb1, "security_skb_classify_flow" },
	{ 0x484ac7ee, "sock_pfree" },
	{ 0xe38e096c, "dccp_rcv_established" },
	{ 0x378b2f09, "dccp_send_sync" },
	{ 0xb160fc1e, "dst_release" },
	{ 0x64f6a70e, "sock_release" },
	{ 0x7883e0c6, "dccp_make_response" },
	{ 0x96ff2399, "dccp_destroy_sock" },
	{ 0x1bec5e4b, "dccp_ctl_make_reset" },
	{ 0xecefd835, "sock_gettstamp" },
	{ 0xb27d097e, "sk_setup_caps" },
	{ 0x8d63b774, "ip_build_and_send_pkt" },
	{ 0x88862efc, "dccp_sendmsg" },
	{ 0xf953b8f2, "ip_setsockopt" },
	{ 0x3ac2c6cf, "dccp_hashinfo" },
	{ 0xecab99b3, "inet_twsk_put" },
	{ 0x96b0df8a, "inet_unhash" },
	{ 0x4623270e, "ip_getsockopt" },
	{ 0xfc9be761, "dccp_set_state" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x688696a9, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x870e3086, "inet_csk_reqsk_queue_drop" },
	{ 0x4d5da04, "__inet_lookup_established" },
	{ 0x3b1ad5ca, "inet_bhash2_reset_saddr" },
	{ 0xa6ee92fe, "inet_csk_addr2sockaddr" },
	{ 0x8c1c5f54, "inet_unregister_protosw" },
	{ 0x5716af00, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3a13d0fa, "dccp_shutdown" },
	{ 0x809da4f4, "inet_bhash2_update_saddr" },
	{ 0x4488304b, "dccp_connect" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "E4AB1091B1F2FD48B60185D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
