#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_port_by_vbid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_user_dev_check, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0xfd3e2b67, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0xe204b3bc, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0xbbb47e48, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0x3765643d, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0xc0d592fb, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0xb0febd94, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x52f1d5cf, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0xf80738d5, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0xad6d5ac7, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0x5c750cbb, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0x363e9fe6, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x64ee2836, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x58770ac8, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0x3c1d2df9, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0xc66a7b32, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x0938f3f8, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0xce0d42d6, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0x56ee483b, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x3b8314f7, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0xbebef3da, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0xc2461c7f, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0x221b1a8a, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0xaed0ed56, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0xda546332, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0x8bcfa087, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x60dffd97, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_port_by_vbid, 0xcde86a40, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0xa866bf55, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x328d3fbd, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0x4a7466cc, "_gpl");
SYMBOL_CRC(dsa_user_dev_check, 0x4a79e7bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xf9d57756, "put_device" },
	{ 0xe780d15c, "devlink_resource_register" },
	{ 0x9a57a473, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x1d0ecbc7, "netif_device_detach" },
	{ 0xb7805bf0, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa22753ce, "switchdev_bridge_port_offload" },
	{ 0x53bcc1bb, "netif_device_attach" },
	{ 0x14f7bc5d, "phylink_ethtool_get_eee" },
	{ 0xd9fc356f, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x59e8797c, "ptp_classify_raw" },
	{ 0x1f7cc474, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x8757d694, "devlink_region_create" },
	{ 0x2128ab19, "vlan_dev_real_dev" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2ba5f6dd, "__dev_get_by_index" },
	{ 0x87c69f1d, "rtnl_link_unregister" },
	{ 0x659cccb, "perf_trace_run_bpf_submit" },
	{ 0x2d5cd53f, "devlink_port_unregister" },
	{ 0xac666066, "_dev_err" },
	{ 0xad88a75, "init_net" },
	{ 0x39f9b417, "noop_qdisc" },
	{ 0xdd3c21ba, "phy_ethtool_get_strings" },
	{ 0x9266f715, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xdcbfa458, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xaf0559d3, "dev_remove_pack" },
	{ 0x2f4c00ea, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x85934162, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4282c33f, "gro_cells_receive" },
	{ 0xbb4e57cc, "switchdev_handle_port_obj_del_foreign" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xece444ab, "skb_push" },
	{ 0x6caa499b, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x92f8218a, "dev_mc_del" },
	{ 0x793f8ae7, "trace_event_reg" },
	{ 0x2625d63f, "br_vlan_get_info" },
	{ 0xbf8dd41f, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x967779b7, "mdiobus_free" },
	{ 0x500641fa, "sysfs_create_group" },
	{ 0x47d443f4, "devlink_resource_occ_get_register" },
	{ 0x3ead5885, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x5a65e5ea, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd18ad2fd, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x5646d3cc, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x79177774, "switchdev_bridge_port_unoffload" },
	{ 0xc017141c, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xe256e59b, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0x133af125, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xd1c7674, "netif_rx" },
	{ 0x770fb41c, "dev_mc_add" },
	{ 0xfc8bd665, "flow_block_cb_alloc" },
	{ 0x8fe906f3, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf67300b2, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc5b82c7f, "__dynamic_netdev_dbg" },
	{ 0x8fd4115, "pv_ops" },
	{ 0x98d34b50, "sysfs_remove_group" },
	{ 0xf669ee2a, "net_selftest" },
	{ 0xb07ced52, "bpf_trace_run3" },
	{ 0x53f20b4d, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xbd58ae17, "devlink_port_init" },
	{ 0x7b8ee99, "__netpoll_setup" },
	{ 0xab62dd76, "__dev_queue_xmit" },
	{ 0x41062dd6, "vlan_vid_add" },
	{ 0xa4d30fb6, "devlink_params_register" },
	{ 0x302beb95, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x5f18ec3a, "vlan_vid_del" },
	{ 0xb38d3873, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x3e21b669, "devlink_resources_unregister" },
	{ 0x85e232e8, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x19118e4c, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xef877fbd, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xfe9c9945, "devlink_port_region_create" },
	{ 0x9f07a05, "devlink_priv" },
	{ 0xa97c80e7, "skb_copy" },
	{ 0xd1ec2974, "__hw_addr_sync_dev" },
	{ 0xe4277ef1, "devlink_port_register_with_ops" },
	{ 0x53f03ef4, "mdiobus_get_phy" },
	{ 0xb160fc1e, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x6b9423bb, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf63f8a7a, "dev_uc_add" },
	{ 0xd6c73b33, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xd67980e2, "br_mst_enabled" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x491e9c5d, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0x38e9c6c6, "dev_kfree_skb_any_reason" },
	{ 0xea326e32, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5cb57787, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0xf797ab9, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x2de61563, "dcb_ieee_setapp" },
	{ 0xe041d231, "phy_ethtool_get_sset_count" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x39921f7a, "skb_dump" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd65c3e43, "__skb_vlan_pop" },
	{ 0xfcbf06ca, "phylink_connect_phy" },
	{ 0x50e4b523, "br_get_ageing_time" },
	{ 0x835c5372, "register_netdevice" },
	{ 0xf8f2d22e, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0xc8a4ca1e, "netdev_lower_get_next" },
	{ 0xd1e68187, "flow_block_cb_lookup" },
	{ 0x88a62b0e, "switchdev_handle_port_obj_add_foreign" },
	{ 0x19b016c7, "devlink_resource_occ_get_unregister" },
	{ 0x2f735fd3, "dev_set_mtu" },
	{ 0xa676d36f, "br_vlan_enabled" },
	{ 0x20117ac1, "__skb_pad" },
	{ 0x9245456c, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x609948eb, "skb_ensure_writable_head_tail" },
	{ 0x1b34a338, "bpf_trace_run4" },
	{ 0xe2d3dd9b, "devlink_unregister" },
	{ 0x4b3a1789, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x415bef4, "br_port_flag_is_set" },
	{ 0x3fcc56a7, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6d065cf1, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7cb4cb67, "br_port_get_stp_state" },
	{ 0x341926f4, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb7975af, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf4ec9afb, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7b22f299, "__netpoll_free" },
	{ 0x6e995938, "trace_raw_output_prep" },
	{ 0x52226167, "br_vlan_get_proto" },
	{ 0xd63e148, "br_mst_get_state" },
	{ 0x332ed12d, "unregister_netdev" },
	{ 0x61a4528, "__trace_trigger_soft_disabled" },
	{ 0x67bfec1, "trace_event_printf" },
	{ 0x13c81fec, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1671fbeb, "netpoll_send_skb" },
	{ 0xc9e69d0c, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xa9ea955a, "devlink_params_unregister" },
	{ 0x21cf285a, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xff546744, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a0c2777, "devlink_alloc_ns" },
	{ 0x27511779, "dev_set_promiscuity" },
	{ 0x49f4296e, "devlink_register" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0xc1b3987f, "devlink_free" },
	{ 0xec9069ab, "gro_cells_init" },
	{ 0x1ff33d7a, "bpf_trace_run2" },
	{ 0xb8d8be8, "netdev_warn" },
	{ 0x8b0f1b1e, "unregister_netdevice_queue" },
	{ 0xb198735b, "get_device" },
	{ 0xb0f9a69a, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x2a69ae76, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x8e0cbc5a, "ether_setup" },
	{ 0x70918ae, "switchdev_handle_fdb_event_to_device" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0x72da7039, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x26098048, "netdev_upper_dev_link" },
	{ 0x4ea2a351, "pskb_expand_head" },
	{ 0x9d676232, "switchdev_handle_port_attr_set" },
	{ 0xf92bc5f4, "phylink_create" },
	{ 0x1696822c, "vlan_for_each" },
	{ 0xca9d7433, "netdev_port_same_parent_id" },
	{ 0x6d62c76b, "trace_event_buffer_commit" },
	{ 0x99ba0931, "dev_addr_mod" },
	{ 0x57e6c7d9, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6edde58d, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x247e7372, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2a9fd88, "vlan_dev_vlan_proto" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "F9B13DB99AAF84F09C74716");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
